summaryrefslogtreecommitdiffstats
path: root/system/cnijfilter2
diff options
context:
space:
mode:
Diffstat (limited to 'system/cnijfilter2')
-rw-r--r--system/cnijfilter2/README20
-rw-r--r--system/cnijfilter2/cnijfilter2.SlackBuild139
-rw-r--r--system/cnijfilter2/cnijfilter2.info10
-rw-r--r--system/cnijfilter2/slack-desc19
4 files changed, 188 insertions, 0 deletions
diff --git a/system/cnijfilter2/README b/system/cnijfilter2/README
new file mode 100644
index 0000000000..bd7d23ec82
--- /dev/null
+++ b/system/cnijfilter2/README
@@ -0,0 +1,20 @@
+cnijfilter2 (Canon IJ Printer Driver)
+
+cnijfilter2 provides printing functions for Canon Inkjet printers operating
+under the CUPS (Common UNIX Printing System) environment.
+
+Supported series:
+- MG2900, MG3000, MG3600, MG5600, MG5700, MG6600, MG6700, MG6800, MG6900, MG7700,
+ MG7500
+- MB2700, MB2300, MB2100, MB2000, MB5000, MB5300
+- G4010, G4000, G3010, G3000
+- iB4100, iB4000, iP110
+- E450, E480, E470, E300, E200, E3100, E4200, MX490
+- TR4500, TR7500, TR7530, TR8500, TR8530, TR8580, TR9530
+- TS9500, TS8230, TS8280, TS8200, TS6280, TS6230, TS6200, TS200, TS300, TS3100,
+ TS5100, TS6100, TS6130, TS6180, TS8100, TS8180, TS9100, TS9180, TS8130, TS9580
+- XK80, XK70, XK50
+
+NB. see also SBo system/pixma SlackBuild for support of related Canon
+printers. It supports MG2500, MG2400, MG3500, MG5500, MG6400, MG6500, MG7100
+and P200 series.
diff --git a/system/cnijfilter2/cnijfilter2.SlackBuild b/system/cnijfilter2/cnijfilter2.SlackBuild
new file mode 100644
index 0000000000..32c58adad8
--- /dev/null
+++ b/system/cnijfilter2/cnijfilter2.SlackBuild
@@ -0,0 +1,139 @@
+#!/bin/sh
+
+# Slackware build script for cnijfilter2
+
+# Copyright 2019 Kenneth Chan, Hong Kong
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cnijfilter2
+VERSION=${VERSION:-5.90.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=$PRGNAM-source
+SRCVERSION=5.90-1
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+ LDFLAGS="-L$TMP/${SRCNAM}-${SRCVERSION}/com/libs_bin32"
+ BITS="i386"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ LDFLAGS="-L$TMP/${SRCNAM}-${SRCVERSION}/com/libs_bin32"
+ BITS="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ LDFLAGS="-L$TMP/${SRCNAM}-${SRCVERSION}/com/libs_bin64"
+ BITS="amd64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVERSION
+
+tar xvzf $CWD/$SRCNAM-${SRCVERSION}.tar.gz
+cd $SRCNAM-$SRCVERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+find -L . \
+ \( -type f \! -name autogen.sh \) \
+ -exec chmod 644 {} \;
+
+common_pkg="cmdtocanonij2 cmdtocanonij3 cnijbe2 lgmon3 rastertocanonij tocanonij tocnpwg"
+for dir in $common_pkg; do
+ cd $dir
+ ./autogen.sh --prefix=/usr LDFLAGS="$LDFLAGS"
+ make
+ make install-strip DESTDIR=$PKG
+ cd ..
+done
+cd lgmon3
+ ./autogen.sh --prefix=/usr --enable-libpath=/usr/lib/bjlib2 LDFLAGS="$LDFLAGS"
+ make
+ make install-strip DESTDIR=$PKG
+cd ..
+
+if [ "$ARCH" = "x86_64" ]; then
+ mv $PKG/usr/lib $PKG/usr/lib64
+ mkdir $PKG/usr/lib64/bjlib2
+ install -c -m 644 com/ini/cnnet.ini $PKG/usr/lib64/bjlib2/
+ install -c -m 755 com/libs_bin64/libcnnet2.so.* $PKG/usr/lib64/
+ install -c -m 755 com/libs_bin64/libcnbpnet20.so.* $PKG/usr/lib64/
+ install -c -m 755 com/libs_bin64/libcnbpnet30.so.* $PKG/usr/lib64/
+ install -c -m 755 com/libs_bin64/libcnbpcnclapicom2.so.* $PKG/usr/lib64/
+elif [ "$ARCH" = "i686" ]; then
+ mkdir $PKG/usr/lib/bjlib2
+ install -c -m 644 com/ini/cnnet.ini $PKG/usr/lib/bjlib2/
+ install -c -m 755 com/libs_bin32/libcnnet2.so.* $PKG/usr/lib/
+ install -c -m 755 com/libs_bin32/libcnbpnet20.so.* $PKG/usr/lib/
+ install -c -m 755 com/libs_bin32/libcnbpnet30.so.* $PKG/usr/lib/
+ install -c -m 755 com/libs_bin32/libcnbpcnclapicom2.so.* $PKG/usr/lib/
+fi
+
+mkdir -p $PKG/usr/share/ppd/cnijfilter2
+cp -a ppd/*.ppd $PKG/usr/share/ppd/cnijfilter2
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/lproptions
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a lproptions/lpr* $PKG/usr/doc/$PRGNAM-$VERSION/lproptions
+cat ppd/NEWS > $PKG/usr/doc/$PRGNAM-$VERSION/NEWS
+# Copy all README to /usr/doc
+for dir in $common_pkg; do
+ mkdir $PKG/usr/doc/$PRGNAM-$VERSION/$dir
+ cd $dir
+ for file in AUTHORS COPYING ChangeLog INSTALL LICENSE NEWS README; do
+ [ -f $file ] && cp -a $file $PKG/usr/doc/$PRGNAM-$VERSION/$dir
+ done
+ cd ..
+done
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README.SBo
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cnijfilter2/cnijfilter2.info b/system/cnijfilter2/cnijfilter2.info
new file mode 100644
index 0000000000..f71f314189
--- /dev/null
+++ b/system/cnijfilter2/cnijfilter2.info
@@ -0,0 +1,10 @@
+PRGNAM="cnijfilter2"
+VERSION="5.90.1"
+HOMEPAGE="https://asia.canon/en/support/0101048401"
+DOWNLOAD="http://gdlp01.c-wss.com/gds/4/0100010484/01/cnijfilter2-source-5.90-1.tar.gz"
+MD5SUM="11029121b7003a3ebd5d53a1331673a7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Kenneth Chan"
+EMAIL="kenneth.t.chan@gmail.com"
diff --git a/system/cnijfilter2/slack-desc b/system/cnijfilter2/slack-desc
new file mode 100644
index 0000000000..5d9d84e58f
--- /dev/null
+++ b/system/cnijfilter2/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cnijfilter2: cnijfilter2 (Canon IJ Printer Driver)
+cnijfilter2:
+cnijfilter2: cnijfilter2 provides printing functions for Canon Inkjet printers
+cnijfilter2: operating under the CUPS (Common UNIX Printing System) environment.
+cnijfilter2:
+cnijfilter2: It supports MG7500 series, MG6700 series, MG6600 series, MG5600
+cnijfilter2: series, MG2900 series, MB2000 series, MB2300, iB4000 series,
+cnijfilter2: MB5000 series, MB5300 series, iP110 series, E450 series, MX490
+cnijfilter2: series, E480 series.
+cnijfilter2:
+cnijfilter2: Homepage: https://asia.canon/en/support/0101048401